Last Comment Bug 768525 - Update the twitter logo
: Update the twitter logo
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: Instant Messaging (show other bugs)
: Trunk
: All All
: -- normal (vote)
: Thunderbird 16.0
Assigned To: Andreas Nilsson (:andreasn)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-26 10:07 PDT by Andreas Nilsson (:andreasn)
Modified: 2012-07-14 06:53 PDT (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed


Attachments
updated twitter logos (4.54 KB, patch)
2012-06-27 06:57 PDT, Andreas Nilsson (:andreasn)
bwinton: ui‑review+
standard8: approval‑comm‑aurora+
Details | Diff | Review
screenshot to ease review (30.18 KB, image/png)
2012-06-27 08:22 PDT, Andreas Nilsson (:andreasn)
no flags Details
compare undistorted icons with the screenshot (7.52 KB, image/png)
2012-06-29 04:23 PDT, Florian J. [:FeuerFliege]
no flags Details
twitter icons with correct 16x16, 32x32 and 48x48 canvas (2.79 KB, patch)
2012-07-02 03:30 PDT, Andreas Nilsson (:andreasn)
clokep: review+
Details | Diff | Review
Non-square and square icons (58.43 KB, image/png)
2012-07-03 04:41 PDT, Patrick Cloke [:clokep]
no flags Details

Description Andreas Nilsson (:andreasn) 2012-06-26 10:07:59 PDT
We fixed the logo in bug #737466, but Twitter recently changed the logo again.

Old logo: http://theinspirationroom.com/daily/design/2012/6/old-twitter-logo.jpg
New logo: http://theinspirationroom.com/daily/design/2012/6/new-twitter-logo.jpg
Comment 1 Andreas Nilsson (:andreasn) 2012-06-27 06:57:25 PDT
Created attachment 637103 [details] [diff] [review]
updated twitter logos

Just a graphic change, so I don't think this needs code-review.
Comment 2 Patrick Cloke [:clokep] 2012-06-27 07:37:53 PDT
Thanks for doing those Andreas, even though there's no code changes it's helpful to keep me or Florian involved when making changes to chat/ as it's used in other applications besides Thunderbird. Anyway, rubber-stamp approval=me, assuming bwinton is good with the UI changes. :)

Also, was there any official announcement of this at all? Did we get the new images off of https://dev.twitter.com/docs/image-resources as we did for bug 737466?
Comment 3 Andreas Nilsson (:andreasn) 2012-06-27 08:02:21 PDT
Patrick: Sure, I'll add the feedback? flag next time.

The blog post from Twitter about the logo change can be found here: http://blog.twitter.com/2012/06/taking-flight-twitterbird.html
Comment 4 Andreas Nilsson (:andreasn) 2012-06-27 08:22:08 PDT
Created attachment 637126 [details]
screenshot to ease review

Before and after patch.
Comment 5 Blake Winton (:bwinton) (:☕️) 2012-06-27 12:38:00 PDT
Comment on attachment 637103 [details] [diff] [review]
updated twitter logos

Based just on the screenshot, ui-r=me.

Thanks,
Blake.
Comment 6 Florian Quèze [:florian] [:flo] 2012-06-28 09:00:20 PDT
https://hg.mozilla.org/comm-central/rev/538abfda8a26

Andreas, Blake, do you think we need this for Thunderbird 15? If so, please request approval for aurora.
Comment 7 Mark Banner (:standard8) 2012-06-28 11:29:50 PDT
Comment on attachment 637103 [details] [diff] [review]
updated twitter logos

[Triage Comment]
Yes, we should ship with the right logos :-)
Comment 8 Florian J. [:FeuerFliege] 2012-06-29 02:01:35 PDT
All chat icons are square but these ones are not.
Comment 9 aleth [:aleth] 2012-06-29 02:09:54 PDT
(In reply to Florian Janßen from comment #8)
> All chat icons are square but these ones are not.

This causes ugly distortions in situations where the icon is then stretched to a standard size via CSS.
Comment 10 Florian J. [:FeuerFliege] 2012-06-29 04:23:44 PDT
Created attachment 637846 [details]
compare undistorted icons with the screenshot

The icons are displayed distorted because the are stretched to a square aspect ratio.

And please note, that prpl-twitter-48.png isn’t 48px in either direction. It is 44px × 35px.
Comment 11 Andreas Nilsson (:andreasn) 2012-07-02 03:29:01 PDT
(In reply to Florian Janßen from comment #10)
> Created attachment 637846 [details]
> compare undistorted icons with the screenshot

> And please note, that prpl-twitter-48.png isn’t 48px in either direction. It
> is 44px × 35px.

Wow, you're right. I assumed the images I got off twitter had these dimensions (as it said so on their resource page). New patch coming up with this taken care of.
Comment 12 Andreas Nilsson (:andreasn) 2012-07-02 03:30:31 PDT
Created attachment 638291 [details] [diff] [review]
twitter icons with correct 16x16, 32x32 and 48x48 canvas

New icons. Sorry for missing this.
Comment 13 Patrick Cloke [:clokep] 2012-07-03 04:40:34 PDT
Comment on attachment 638291 [details] [diff] [review]
twitter icons with correct 16x16, 32x32 and 48x48 canvas

Florian is currently on vacation...I tried this patch out and it looks good. I have an image I'll upload showing the difference between the non-square and square icons.

Thanks for fixing this promptly Andreas!
Comment 14 Patrick Cloke [:clokep] 2012-07-03 04:41:29 PDT
Created attachment 638655 [details]
Non-square and square icons

The right side is with attachment 638291 [details] [diff] [review], the left side is with attachment 637103 [details] [diff] [review].

Note You need to log in before you can comment on or make changes to this bug.